## xmoto 0.2.6-maemo2

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2005 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14.4

PACKAGE = xmoto
VERSION = 0.2.6
PACKAGE_BUGREPORT = 

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = /opt
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(MKINSTALLDIRS)
mkinstalldirs = $(SHELL) /home/divan/devel/xmoto/xmoto-0.2.6/install-sh -d
MKDIR_P = @MKDIR_P@
mkdir_p = mkdir -p --

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  fr.po de.po es.po ca.po sk.po
GMOFILES =  fr.gmo de.gmo es.gmo ca.gmo sk.gmo
UPDATEPOFILES =  fr.po-update de.po-update es.po-update ca.po-update sk.po-update
DUMMYPOFILES =  fr.nop de.nop es.nop ca.nop sk.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/GameText.h

CATALOGS =  fr.gmo de.gmo es.gmo ca.gmo sk.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Free Software Foundation, Inc.

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS =

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-no

all-yes: stamp-po
all-no:

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$$msgid_bugs_address"
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-no
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-no
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-no
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:

=== debian/changelog ===
xmoto (0.2.6-maemo2) unstable; urgency=low

  * Initial port of 0.2.6 version.
  * Added accelerometer controls.
  * Rewritten menu UI to be friendly with small size display and touchscreen.
  * Removed profile selecting dialog and some unneeded message boxes.
  * Rewritten finished/dead dialog for small size display.
  * Default configuration adopted to N900, ready to play.
  * Fixed bug with UIList.
  * Optified.
  * Added .desktop and icon files.
  * Removed Select Levels Packs dialog, replaced with All Levels dialog.
  * Removed some extra functionality (www, zoom, ghost, etc)

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Mon, 18 Oct 2010 00:15:07 +0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xmoto
Section: user/games
Priority: optional
Maintainer: Ivan Daniluk <ivan.daniluk@gmail.com> 
Build-Depends: debhelper (>= 5), autotools-dev, libsdl-gfx1.2-dev,
 liblua5.1-0-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev, libode-sp-dev, libjpeg62-dev, libpng12-dev, libbz2-dev
Standards-Version: 3.6.0

Package: xmoto
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
  AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wMDEzMzwyFK
  BgAABM9JREFUSMelVn9Ik3kY/6zN5dt2bs66bJOxdas7xej1OnSMnfc9FU6Q
  /XFhCxRCEIOii+1Q8A+j5ASjDjVbondK5x9Zk+uMmeUZ6IMUDaIkDomDwWwp
  WKkZadPT+N4fWzZt76K7Bx54nx+f7+f9Ps/7fb6vDDFCRJZAIPAAwCcAoFKp
  ftyxY8dINPycMTZFRJ8zxv6OxV27du27mZmZQaVS2W40GjsA4OnTp1+9evXq
  V0EQThoMhrOyGJJcIupubGz8Ynl5GQCwf/9+7N69GwCg1WqHrFbr5eHh4fqC
  goIfGGO+KK64t7f3altb2xa73Q673Q4ACIVC6OnpQUlJCcrKyk7G7qZZFEUO
  IK6Wlpbyuro6rtVqORGNRTHfV1VVPUlKSpLEAeCdnZ18Xdk8Hs+YIAhxk7dt
  28Z1Oh0HwIlojIiKq6qqnqjV6oQk7xFFyS4bjcY3HwJmZ2evEtFiaWmpZI5S
  qeROp/Olz+cL3rhxIw8b5cqVK39kZmYmJLJYLNzr9XKbzRY3rlAo+IEDB54T
  USWkhIi0ra2tlxP1y2Kx8NraWsn4wYMHw0RUsXFtM4A+AI6o/Wl6erq/oqKC
  S+1MpVLxXbt2xY2Vl5fzwsLCf6Jr9gEoAADs3YupYBD8yBHMArCazRgPBsHr
  6tRcp9vM79wBDwYjeugQuFz+zt6oLhe4waDlfr98zXf4MJ6npCBvk0wGvckE
  ZGVBZ7HAmpcHo8kEKBQL6OpaRm4uMDEBrK4C3d3Anj0Re2ICUCgAkwmYnIzY
  8/OAxzOPffverGE6OrB15074IYrgnEf0/Hnw168jz6dOgff1gb94ESmJyxXx
  i+K7MjU3R3x6vYoXFhYGANyVwmx626ieHqCoCDh9Gh8tMhmfOXHixGEAf0rl
  rBHduwc4HMClSx9PFA6/XmCMDUd3mpgIAAIBfMs55mN9cjkgioBeL02UlJSk
  JCIzAJkURpHoTUdGIuUcG4vYt28Dc3Pv5yUnb9GPjo7+Xlxc3H///mCoqAjG
  WMzKCnyKcBhn3W7UPHqEPgCBlRX87Hajwe8H/H5gYQFISYmAhoaAUCj2egAe
  Pwamp19iaGjoy4aGhn7GBo/NzuK3zZuhA4CHD9EzPg4XAKgBMAAZANDS0mKq
  rKyUPPU1NTVx/RqNhh8/fjxIRHYA1uiaDEB6vPGTfu7cucnk5GTJxbq6uqbS
  0tIkB2l1dfWCz+ezJppxe86cOfOXFAkAXltby4lIjI59Sa2url6I7mz9V0dE
  4q1bt35pamrKXlpawv+V9vZ2FYCf1hERkXl0dLTr4sWL1unpaUmwzWaD2Wxu
  BRD8ENHS0hIuXLiQve6auHnz5tcul0uyDCqViufk5Kx4vV4PEanf/owcPXp0
  Ua1Wc7lcnvDiu379+iEikiNRvc1mM/d6vXeJqDlOT4uJaMThcLzIysriGo2G
  i6LINRpN3L7GPbB6vR42mw12u71/+/btFYyx944pY2wQwCARHXv27FkOEX3j
  dDr7e3t7Hd3d3Z8tLi6uy1cIgnCypKSkfmBgAADgdruRmpr6ID8//zyA4Xgk
  Gwg9RKR2Op25jLFhIurX6XTe1dXVrQCQkZHRCSAkIyJhamqqJhwO1wOAwWDI
  FwRhkjEW/K9fHRFlAVBGzRBjbO5fzvzQfcXJ9IsAAAAASUVORK5CYII=
  ====
Homepage: http://xmoto.garage.maemo.org
XS-Debian-Vcs-Browser: https://garage.maemo.org/plugins/scmsvn/viewcvs.php/trunk/?root=xmoto
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=6214&group_id=1782
XB-Maemo-Display-Name: X-Moto is a challenging 2D motocross platform game
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-ttf2.0, liblua5.1-0, libsdl-gfx1.2-4, libode1sp, libjpeg62, libpng12-0, libbz2-1.0, libsdl-mixer1.2
Description: X-Moto is a challenging 2D motocross platform game
  X-Moto is a challenging 2D motocross platform game, where physics play an
  all important role in the gameplay. You need to control your bike to its
  limit, if you want to have a chance finishing the more difficult of the
  challenges.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-renderer-openGl=0 --with-renderer-sdlGfx=1 --disable-nls --datadir=/opt --with-enable-www=0 --with-enable-zoom=0


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/xmoto.sgml > xmoto.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xmoto.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmoto


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xmoto 0.5.9+dfsg

=== debian/changelog ===
xmoto (0.5.9+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #644234):
    + builds with libpng 1.5 (closes: #649797);
    + uses libxml2;
    + uses DejaVuSansMono (add link and make ttf-dejavu-core a dependency
      of xmoto-data).
  * Repacked to remove src/glext.h, licensed under SGI License B version
    1.1. (I'm hoping that this will be fixed upstream, so I haven't added
    a get-orig-source target to debian/rules.)
  * Update debian/watch accordingly.
  * Update patches:
    + remove-glext.patch: add (allows building without glext.h), forward
      upstream;
    + fix_segfault.patch: refresh, add DEP-3 header, forward upstream;
    + desktop.patch: re-apply, add German translation (closes: #641822),
      forward upstream;
    + spelling.patch: refresh, forward upstream;
    + manpage.patch: forward upstream;
    + gcc44-ftbfs.patch: no longer used, delete.
  * Switch to dh 9 with simple rules.
  * Use source format "3.0 (quilt)", drop explanations from
    README.source.
  * Update README.source to explain the removal of glext.h, and the use of
    "xmoto --unpack" and "xmoto --pack" to manipulate xmoto.bin (closes:
    #661340).
  * Add ${misc:Depends} where appropriate.
  * Patch the manpage to fix hyphens and a few spelling mistakes.
  * Add myself to uploaders.
  * Update debian/copyright.
  * Standards-Version 3.9.3 (no further change required).
  * Fix spelling mistakes spotted by Lintian.
  * Use dh-autoreconf to update config.{guess,sub} (thanks to Ansgar
    Burchardt for the hint).
  * wrap-and-sort control files.
  * Build-depend on libpng-dev only, dropping the libpng12-dev alternative
    (closes: #662565).
  * Fix "ftbfs with GCC-4.7" by including unistd.h where appropriate
    (closes: #667422; thanks to Cyril Brulebois for his patch for another
    gcc-4.7-related issue, which was already included upstream).
  * Fix the Vcs-Browser URL.
  * Allow DM uploads as requested by Michael Gilbert.

 -- Stephen Kitt <steve@sk2.org>  Wed, 23 May 2012 08:18:30 +0200

xmoto (0.5.5-1) unstable; urgency=low

  * Team upload.

  [ Stephen Kitt ]
  * New upstream release. (Closes: #580428.)
  * Update patches:
    + fix_segfault.patch: refreshed;
    + 64bit-ftbfs.patch: removed (applied upstream).
  * Add libxdg-basedir-dev build-dependency.

  [ Bruno "Fuddl" Kleinert ]
  * Prepare for libjpeg8 transition and depend on libjpeg-dev instead of
    libjpeg62-dev. Thanks to Bill Allombert for pointing this out.
    (Closes: #634648)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 18:07:10 +0200

xmoto (0.5.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * 64bit-ftbfs.diff - Fix FTBFS on 64bit. (Closes: #548511).
    + Thanks to Peter De Wachter for the patch!

 -- Barry deFreese <bdefreese@debian.org>  Sun, 27 Sep 2009 11:57:06 -0400

xmoto (0.5.2-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Remove desktop and gcc-4.4 patches as they are fixed upstream.
  * Add README.source for quilt package.
  * Bump debhelper build-dep to 5 to match compat.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 26 Sep 2009 10:01:44 -0400

xmoto (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 17 Apr 2009 10:28:00 +0200

xmoto (0.5.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Remove obsolete Suggests to xmoto-edit.

  [ Barry deFreese ]
  * Change libode0-dev build-depeds to libode-dev. (Closes: #520734).
  * Bump Standards Version to 3.8.1. (No changes needed).

  [ Gonéri Le Bouder ]
  * Pass -DdDOUBLE to gcc, this should be done by pkg-config but xmoto
    doesn't use it yet (Closes: #521013)
  * Add myself in uploaders

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 24 Mar 2009 12:27:21 +0100

xmoto (0.5.0-2) unstable; urgency=low

  * Upload to unstable.
  * Use DejaVuSans.ttf from the package ttf-dejavu-core.

 -- Samuel Mimram <smimram@debian.org>  Sun, 15 Feb 2009 22:10:00 +0100

xmoto (0.5.0-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release (Closes: #508286)
  * Added patch to fix FTBFS in gcc 4.4 (Closes: #505414)
    + Thanks to Martin Michlmayr for the patch.
  * Refreshed patches
  * Removed patch fix_segfault2.patch: Already fixed in upstream code

  [ Samuel Mimram ]
  * Add missing dependency on libsdl-net1.2-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 23 Dec 2008 15:55:40 +0100

xmoto (0.4.2-3) unstable; urgency=medium

  [ Barry deFreese ]
  * Don't segfault on NULL db values. (Closes: #492414).
    + Thanks to Gustavo Noronha Silva for the patch.
  * Add patch-stamp target.
  * Add myself to uploaders.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 11 Oct 2008 09:34:05 -0400

xmoto (0.4.2-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Upgraded Standards-Version to 3.8.0. No changes needed.
  * Don't call atoi(NULL), fixes segfault on upgrade from etch
    (Closes: #492414). Thanks to Julien Cristau <jcristau@debian.org>
  * Added Homepage field to debian/control
  * Added Suggests: xmoto to package xmoto-data
  * Added ArcadeGame to desktop categories. Closes: #478974
    Thanks to Daniel Dickinson <cshore@wightman.ca>
  * Replaced dpatch by quilt for patch management
  * Replaced build dependency on the obsolete xlibmesa-gl-dev
    by libgl1-mesa-dev
  * The Debian Games Team is taking care for this package from now on

  [ Ansgar Burchardt ]
  * Add Vcs-* fields

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 26 Aug 2008 21:42:52 +0200

xmoto (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Tue, 18 Mar 2008 20:27:10 +0100

xmoto (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed build-dependency on subversion.
  * Builds with gcc 4.3, closes: #462050.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Feb 2008 21:36:29 +0100

xmoto (0.4.0-2) unstable; urgency=low



## xmoto 0.5.10+dfsg

=== debian/changelog ===
xmoto (0.5.10+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Stephen Kitt <steve@sk2.org>  Wed, 27 Jun 2012 07:57:03 +0200

xmoto (0.5.9+dfsg-3) unstable; urgency=low

  * Pino Toscano provided a better patch to remove the use of sa_restorer,
    thanks! (Closes: #674636.)

 -- Stephen Kitt <steve@sk2.org>  Sat, 26 May 2012 20:31:17 +0200

xmoto (0.5.9+dfsg-2) unstable; urgency=low

  * Remove reference to sa_restorer which is deprecated generally and
    not available on some architectures.

 -- Stephen Kitt <steve@sk2.org>  Sat, 26 May 2012 11:55:37 +0200

=== debian/control ===
Source: xmoto
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
           Samuel Mimram <smimram@debian.org>,
           Barry deFreese <bdefreese@debian.org>,
           Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.13.19),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libgl1-mesa-dev | libgl-dev,
               libjpeg-dev,
               liblua5.1-0-dev,
               libode-dev,
               libpng-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libsqlite3-dev,
               libxdg-basedir-dev,
               libxml2-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://xmoto.tuxfamily.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/xmoto/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/xmoto/

Package: xmoto
Architecture: any
Depends: xmoto-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: 2D motocross platform game
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.

Package: xmoto-data
Architecture: all
Depends: ttf-dejavu-core, ${misc:Depends}
Suggests: xmoto (>= ${source:Version})
Description: 2D motocross platform game - data files
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.
 .
 This package contains the data files needed by xmoto.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games \
		--mandir=\$${prefix}/share/man \
		--localedir=\$${prefix}/share/games/locale

## xmoto 0.5.11%2Bdfsg

=== debian/changelog ===
xmoto (0.5.11+dfsg-8build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:55 +0100

xmoto (0.5.11+dfsg-8build1) disco; urgency=medium

  * No-change rebuild against libode8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 22:48:37 +0000

xmoto (0.5.11+dfsg-8) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 20:42:54 +0200

xmoto (0.5.11+dfsg-7) unstable; urgency=medium

  * Avoid comparing pointers with booleans. (Closes: #853712.)
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.
  * Update forwarded patches.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Aug 2017 13:12:11 +0200

xmoto (0.5.11+dfsg-6) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Pull in part of upstream's svn version 3421 to build with gcc 5.
    (Closes: #818782.)
  * Update the spelling fixes.
  * Enable all hardening options.
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Drop obsolete versioned dependency on dpkg-dev.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Mar 2016 00:06:55 +0100

xmoto (0.5.11+dfsg-5) unstable; urgency=medium

  * ode13.patch is apparently no longer necessary and breaks the build on
    armel, mips and mipsel, so drop it. (Closes: #804839.)

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Nov 2015 22:51:37 +0100

xmoto (0.5.11+dfsg-4) unstable; urgency=medium

  * Allow building with libode 0.13.
  * Fix all string constant warnings.
  * Build with g++ 4.9 for now, builds with g++ 5 don't display text.
    (Closes: #802017.)

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Oct 2015 22:54:09 +0200

xmoto (0.5.11+dfsg-3) unstable; urgency=medium

  * Avoid __DATE__ and __TIME__ to build reproducibly.
  * Drop Debian menu and XPM icon.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Oct 2015 19:53:07 +0200

xmoto (0.5.11+dfsg-2) unstable; urgency=medium

  * src/helpers/utf8.h uses the same guard macro as g++'s new
    unicode/utf8.h; using a more specific guard allows the package to
    build again.
  * Clean up debian/copyright.
  * Correct the spelling of 'Portuguese'.
  * Standards-Version 3.9.6, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 May 2015 00:32:41 +0200

xmoto (0.5.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move the packaging repository to git.
  * Use a "Files-Excluded" directive in debian/copyright to remove
    glext.h.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 08:02:36 +0200

xmoto (0.5.10+dfsg-2) unstable; urgency=medium

  [ Markus Koschany ]
  * Update xmoto.menu and add an icon entry. (Closes: #726905)

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Stephen Kitt ]
  * Switch to my Debian address and drop DMUA.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Mar 2014 14:29:02 +0100

=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg$// \
  http://xmoto.tuxfamily.org/ .*/xmoto-([\d\.]+)-src\.tar\.gz

## xmoto 0.5.11+dfsg

=== debian/control ===
Source: xmoto
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
           Samuel Mimram <smimram@debian.org>,
           Barry deFreese <bdefreese@debian.org>,
           Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 10),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libgl1-mesa-dev | libgl-dev,
               libjpeg-dev,
               liblua5.1-0-dev,
               libode-dev,
               libpng-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libsqlite3-dev,
               libxdg-basedir-dev,
               libxml2-dev,
               zlib1g-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/xmoto.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/xmoto.git
Homepage: http://xmoto.tuxfamily.org/

Package: xmoto
Architecture: any
Depends: xmoto-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 2D motocross platform game
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.

Package: xmoto-data
Architecture: all
Depends: ttf-dejavu-core,
         ${misc:Depends}
Suggests: xmoto (>= ${source:Version})
Description: 2D motocross platform game - data files
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.
 .
 This package contains the data files needed by xmoto.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
+	rm -rf src/ode
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--bindir=\$${prefix}/games \
